/* $Header: /u/brewer/sim4/libevt/RCS/events.h,v 1.2 92/10/07 16:53:34 brewer Exp $ */

/***************************************************************************
    Long-format event types (high bit is 0)
        Format: first long word:  8-bit event code, 24-bit index
	        second long word: 32-bit data field
		third long word:  32-bit timestamp
***************************************************************************/

#define EV_CACHE             0x02000000
#define EV_NETCONT           0x03000000
#define EV_BUSCONT           0x04000000


/***************************************************************************
    Short-format event types (high bit is 1)
        Format: first long word:  8-bit event code, 10-bit index, 14-bit data
	        second long word:  32-bit timestamp
***************************************************************************/

/* these event types are reserved */
#define EV_EXIT              0x80000000
#define EV_INIT_METRIC       0x81000000
#define EV_INIT_ARRAYMETRIC  0x82000000
#define EV_INIT_PROF         0x83000000
#define EV_PROF              0x84000000
#define EV_METRIC            0x85000000
#define EV_ARRAYMETRIC       0x86000000
/* end of reserved event types, 0x87000000, 0x88000000 are also reserved */

#define EV_IDLE              0x89000000
#define EV_BUSY              0x8a000000
#define EV_END_THREAD        0x8b000000
#define EV_START_THREAD      0x8c000000
#define EV_CREATE            0x8d000000
#define EV_RESUME            0x8e000000
#define EV_SEM_P             0x8f000000
#define EV_SEM_V             0x90000000

#define EV_STATE             0x91000000
